

/*
This is a UI file (.ui.qml) that is intended to be edited in Qt Design Studio only.
It is supposed to be strictly declarative and only uses a subset of QML. If you edit
this file manually, you might introduce QML code that is not supported by Qt Design Studio.
Check out https://doc.qt.io/qtcreator/creator-quick-ui-forms.html for details on .ui.qml files.
*/
import QtQuick 2.15
import QtQuick.Controls 2.15
import FlowView 1.0

FlowItem {
    width: 800
    height: 600
    property alias button: button

    Rectangle {
        anchors.fill: parent

        Button {
            background: Rectangle {
                color: "black"
                implicitWidth: 100
                implicitHeight: 40
                radius: 10
            }
            id: button
            contentItem: Text {
                text: button.text
                font: button.font
                fontSizeMode: Text.Fit
                color: "white"
                horizontalAlignment: Qt.AlignHCenter
                verticalAlignment: Qt.AlignVCenter
            }
            text: "Continuer..."

            x: 283
            y: 458
            width: 234
            height: 94
        }
    }
}
