

/*
This is a UI file (.ui.qml) that is intended to be edited in Qt Design Studio only.
It is supposed to be strictly declarative and only uses a subset of QML. If you edit
this file manually, you might introduce QML code that is not supported by Qt Design Studio.
Check out https://doc.qt.io/qtcreator/creator-quick-ui-forms.html for details on .ui.qml files.
*/
import QtQuick 2.15
import FlowView 1.0

FlowView {
    id: flowView
    width: 800
    height: 600
    flowTransitions: [
        FlowTransition {
            id: flowTransition
            question: ""
            to: flowDecision
            from: ecranUn
        },
        FlowTransition {
            id: flowTransition1
            question: "Oui"
            to: ecranDeux
            from: ecranUn
        },
        FlowTransition {
            id: flowTransition2
            to: ecranUn
            from: ecranDeux
        }
    ]
    flowDecisions: [
        FlowDecision {
            id: flowDecision
            dialogTitle: "Fait-il jour ?"
            targets: [flowTransition2, flowTransition1]
        }
    ]

    defaultTransition: FlowTransition {
        id: defaultTransition
    }

    EcranUn {
        id: ecranUn

        FlowActionArea {
            target: flowTransition
            x: 280
            y: 457
            width: 240
            height: 95
        }
    }

    EcranDeux {
        id: ecranDeux

        FlowActionArea {
            target: flowTransition2
            x: 278
            y: 459
            width: 250
            height: 97
        }
    }
}

/*##^##
Designer {
    D{i:0;formeditorZoom:0.5;height:10000;width:10000}D{i:6;flowX:4550;flowY:4433.57984353825}
D{i:8;flowX:4579;flowY:5200}D{i:3;dash:false;inOffset:10;labelFlipSide:false;type:0}
D{i:4;flowX:4090;flowY:5076}
}
##^##*/

