#ifndef MACLASSE_HPP
#define MACLASSE_HPP

#include <QString>
#include <QDebug>
#include "MonAutreClasse.hpp"

class MaClasse
{
public :
    explicit MaClasse()
        : a(0), b(0), c(new MonAutreClasse(new QString("La chaine initiale"))) { }

    MaClasse(const MaClasse& orig)
        : a(orig.a), b(orig.b), c(new MonAutreClasse(orig.c))
    {
        qDebug() << "Copie profonde";
    }

    MaClasse& operator= (const MaClasse& orig)
    {
        qDebug() << "Assignation en copie profonde";

        a = orig.a ;
        b = orig.b ;
        c = new MonAutreClasse(orig.c);

        return *this ;
    }

public :
    int a ;
    bool b ;
    MonAutreClasse* c;
};

#endif // MACLASSE_HPP
