# Pause bloquante

Cet exemple met en évidence une mauvaise façon de faire une pause dans un programme.

## Analyse

Après avoir démarré le programme, le compteur LCD se met à incrémenter. Après avoir cliqué sur le bouton `Démarrer`, le compteur LCD cesse de compter, puis au bout de quelques secondes, une boite de dialogue s'affiche et le compteur LCD se remet à compter.

Le clic sur le bouton `Démarrer` a provoqué l'appel à la fonction `QThread::msleep()` qui interrompt le thread courant pendant une certaine durée. Or le thread courant est aussi celui de l'interface graphique, la run-loop de l'interface graphique se trouve alors bloquée, provoquant l'interruption de son rafraichissement.

Une bonne approche est proposée dans l'exemple **Pause non bloquante**.
