# Variants

Cet exemple montre l'encapsulation d'un objet personnel dans une instance de QVariant.

## Analyse

Le résultat est différent sous Qt 5 et Qt 6. Dans tous les cas, pour qu'un objet puisse être encapsulé dans un QVariant, il doit être un Type Qt.

Sous Qt 5, la déclaration `Q_DECLARE_METATYPE(Rectangle)` doit être ajoutée au code source (en général à la fin du fichier Rectangle.h) pour que la classe soit considérée comme un Type Qt.

Sous Qt 6, cela n'est plus nécessaire.

Exécutez le programme sans, puis avec la déclaration et constatez le résultat.