#ifndef CONTROLEUR_H
#define CONTROLEUR_H

#include <QObject>
#include <QProcess>

class Controleur : public QObject
{
    Q_OBJECT
public:
    explicit Controleur(QObject *parent = 0);
    void demarrePing();
    
public slots:
    void onStarted();
    void onFinished(int returnCode);
    void onError(QProcess::ProcessError error);
    void onDataReceived();

private:
    QProcess* process_;
};

#endif // CONTROLEUR_H
