#include "MaClasse.h"

MaClasse::MaClasse(QObject *parent) :
    QObject(parent), id(0)
{
}

QDataStream& operator<< (QDataStream& out, const MaClasse& objet)
{
    //Opérateur de flux permettant de sérialiser l'objet
    out << objet.id << objet.texte << objet.contexte;
    return out;
}

QDataStream& operator>> (QDataStream& in, MaClasse& objet)
{
    //Opérateur de flux permettant de Dé-sérialiser l'objet
    in >> objet.id;
    in >> objet.texte;
    in >> objet.contexte;

    return in;
}
