#ifndef ECRANCLIENT_H
#define ECRANCLIENT_H

#include <QWidget>
#include "Client.h"

namespace Ui {
class EcranClient;
}

class EcranClient : public QWidget
{
    Q_OBJECT

public:
    explicit EcranClient(QWidget *parent = nullptr);
    ~EcranClient();

private slots:
    void onEcho(int valeur);

private:
    Ui::EcranClient *ui;
    QRemoteObjectNode *remoteNode_ = nullptr;
    Client* client_ = nullptr;
};

#endif // ECRANCLIENT_H
