#include "Widget.h"
#include "ui_Widget.h"
#include <QMouseEvent>
#include <QPushButton>

Widget::Widget(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::Widget)
{
    ui->setupUi(this);

    QGraphicsScene *scene = new QGraphicsScene(this);
    scene->setBackgroundBrush(Qt::black);

    QPushButton *btn = new QPushButton(tr("Du texte"), this);

    //Création d'un cercle au bord blanc et fond rouge
    scene->addEllipse(QRectF(0.0, 0.0, 200.0, 200.0), QPen(Qt::white, 5), QBrush(Qt::red));
    scene->addWidget(btn);

    ui->graphicsView->setScene(scene);
}

//Faites bouger le cercle avec les touches du clavier

Widget::~Widget()
{
    delete ui;
}

