#include "FakeDAO.h"
#include <QMap>
#include "ObjetSuperFactory.h"

FakeDAO::FakeDAO()
{

}

QList<ObjetSuper> FakeDAO::getNoms()
{
    qDebug() << "Récupération des enregistrements";

    //Opération SQL pour récupérer des données brutes
    QMap<int, QString> dataSql;
    dataSql[0] = "Jacob";
    dataSql[1] = "David";
    dataSql[2] = "Roberto";

    //Appel de la factory pour créer des objets à partir des données
    QList<ObjetSuper> vals;
    for(const auto& cle : dataSql.keys()) {
        QString &nom = dataSql[cle];
        vals << ObjetSuperFactory::creeObjetSuperAvecIdEtNom(cle, nom);
    }

    return vals;
}

bool FakeDAO::ajouteNom(const ObjetSuper &)
{
    //ne fait rien
}

bool FakeDAO::deleteNom(const ObjetSuper &)
{
    //ne fait rien
}

bool FakeDAO::remplaceNom(const int &id, const ObjetSuper &)
{
    //ne fait rien
}
