#ifndef TABLEMODEL_H
#define TABLEMODEL_H

#include <QAbstractItemModel>
#include <QObject>
#include "ObjetSuper.h"

class TableModel : public QAbstractItemModel
{
public:
    explicit TableModel(QObject *parent = nullptr);

    // QAbstractItemModel interface
public:
    QModelIndex index(int row, int column, const QModelIndex &parent) const;
    QModelIndex parent(const QModelIndex &child) const;
    int rowCount(const QModelIndex &parent) const;
    int columnCount(const QModelIndex &parent) const;
    QVariant data(const QModelIndex &index, int role) const;
    void fetchMore(const QModelIndex &parent);
    bool canFetchMore(const QModelIndex &parent) const;

private:
    QVariant getValeur(const QModelIndex&) const;

private:
    QList<ObjetSuper> tampon_;

};

#endif // TABLEMODEL_H
