import QtQuick 2.15
import QtQuick.Window 2.15
import monprojet.domaine

Window {
    width: 640; height: 480; visible: true
    title: qsTr("Fiche employé")

    Employe {
        id: employeDefaut
        matricule: 1
        nom: "ISRAËL"
        prenom: "Tristan"
    }

    Employe {
        id: employeCourant
    }

    EmployeDAO {
        id: employeDAO

        Component.onCompleted: {
            var employe = employeDAO.rechercheEmploye(12345)

            if(employe === null) {
                console.warn("Employé non trouvé !")
            }

            employe = employeDAO.rechercheEmploye(123456)
            console.debug(employe.nom +" " +employe.prenom)
        }
    }

}
