#include "DialogTraduction.h"

#include <QApplication>
#include <QTranslator>
#include <QLocale>
#include <QDebug>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QTranslator translator;
    QString langRegion = QLocale::system().name();
    qDebug() << "Langue : " << langRegion;
    translator.load(QString(":/%1").arg(QLocale::system().name()));
    a.installTranslator(&translator);

    DialogTraduction w;
    w.show();

    return a.exec();
}
