QT += quick network

TARGET = QuickChat

SOURCES += \
        ControleurReseau.cpp \
        JsonHelper.cpp \
        Message.cpp \
        MessageFactory.cpp \
        main.cpp

resources.files = qml/App.qml qml/Chat.qml qml/Participants.qml qml/EcranChat.ui.qml qml/EcranParticipants.ui.qml qtquickcontrols2.conf en.qm
resources.prefix = /
RESOURCES += resources

# Additional import path used to resolve QML modules in Qt Creator's code model
QML_IMPORT_PATH = qml

# Additional import path used to resolve QML modules just for Qt Quick Designer
QML_DESIGNER_IMPORT_PATH =

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
    installeur/config/config.xml \
    installeur/packages/net.alefbet.quickchat/data/license.txt \
    installeur/packages/net.alefbet.quickchat/meta/package.xml

HEADERS += \
    ControleurReseau.h \
    JsonHelper.h \
    Message.h \
    MessageFactory.h

TRANSLATIONS += en.ts
