#ifndef MONAUTRECLASSE_HPP
#define MONAUTRECLASSE_HPP

#include <QString>

class MonAutreClasse
{
public:
    explicit MonAutreClasse()
        : uneChaine_(new QString(""))
    { }
    explicit MonAutreClasse(QString* uneChaine)
        : uneChaine_(uneChaine)
    { }

    //Constructeur de copie
    MonAutreClasse(const MonAutreClasse* orig)
        : uneChaine_(new QString(orig->uneChaine_->toUtf8() +" copiée"))
    {}

    ~MonAutreClasse() { if(uneChaine_) delete uneChaine_; }

    //Opérateur d'assignation
    MonAutreClasse& operator= (const MonAutreClasse& orig)
    {
        uneChaine_ = new QString(orig.uneChaine_->toUtf8() +" assignée");
        return *this;
    }

public:
    QString* uneChaine_;
};

#endif // MONAUTRECLASSE_HPP
