#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QStateMachine>
#include <QTimer>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

signals:
    void signalFeuSuivant();

private:
    Ui::MainWindow *ui;
    QStateMachine automateFeux_;
    QState etatFeuVert_;
    QState etatFeuOrange_;
    QState etatFeuRouge_;
    QStateMachine automateVoiture_;
    QState etatVoitureRoule_;
    QState etatVoitureSArrette_;
    QState etatVoitureArret_;
    QTimer timerFeuTricolore_;
};

#endif // MAINWINDOW_H
