#include "Contexte.h"

Contexte::Contexte(QObject *parent) :
    QObject(parent), id(0), ok(false)
{
}

Contexte& Contexte::operator=(const Contexte& orig)
{
    //Opérator d'assignation, on copie les variables membres
    id = orig.id;
    titre = orig.titre;
    ok = orig.ok;

    return *this;
}

QDataStream& operator<< (QDataStream& out, const Contexte& objet)
{
    //Opérateur de flux permettant de sérialiser l'objet
    out << objet.id << objet.titre << objet.ok;

    return out;
}

QDataStream& operator>> (QDataStream& in, Contexte& objet)
{
    //Opérator de flux permettant de dé-sérialiser l'objet
    in >> objet.id;
    in >> objet.titre;
    in >> objet.ok;

    return in;
}
