#include "MaTache.h"
#include <QDebug>
#include <QThread>
#include <QRandomGenerator>

MaTache::MaTache() {
    //Création d'un identifiant aléatoire pour la tâche
    //Cela nous permettra de reconnaître les différentes
    //exécution dans la log
    id_ = QRandomGenerator::global()->generate() % 1000;
    qDebug() << QString("La tâche %1 a été créée").arg(id_);
}

void MaTache::run()
{    
    //Cette tâche sera exécutée dans un thread
    int iterations = 10;
    do
    {
        qDebug() << QString("La tâche %1 s'exécute 10 fois. %2 restante(s).").arg(id_).arg(--iterations);
        QThread::msleep(500);
    } while(iterations > 0);
}
