#include <QCoreApplication>
#include <QThreadPool>
#include "MaTache.h"

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    //Définition de la quantité maximum de threads à 3
    QThreadPool::globalInstance()->setMaxThreadCount(3);

    //Instanciation et ajout de plusieurs tâches au pool de threads
    for(int i = 0 ; i < 10 ; i++) {
        MaTache *t = new MaTache;
        QThreadPool::globalInstance()->start(t);
    }
    
    //Attente de la fin de l'exécution des tâches du pool de threads
    QThreadPool::globalInstance()->waitForDone();

    return 0;
}
