#ifndef CLIENT_H
#define CLIENT_H

#include <QObject>
#include <QSharedPointer>

#include "rep_Slider_replica.h"

class Client : public QObject
{
    Q_OBJECT
public:
    explicit Client(QSharedPointer<SliderReplica> ptr, QObject* parent = nullptr);
    void init();

signals:
    void echo(int valeur);

public slots:
    void onValeurChanged(int valeur);

private:
    int valeur_ = 0;
    QSharedPointer<SliderReplica> reptr_;

};

#endif // CLIENT_H
