#ifndef ECRANSERVEUR_H
#define ECRANSERVEUR_H

#include <QWidget>
#include <QRemoteObjectHost>
#include <QRemoteObjectRegistryHost>
#include "Constants.h"

class Slider;

QT_BEGIN_NAMESPACE
namespace Ui { class EcranServeur; }
QT_END_NAMESPACE

class EcranServeur : public QWidget
{
    Q_OBJECT

public:
    EcranServeur(QWidget *parent = nullptr);
    ~EcranServeur();

private slots:
    void on_slider_valueChanged(int value);


private:
    Ui::EcranServeur *ui;
    Slider *sliderSource_ = nullptr;
#ifdef AVEC_REGISTRY
    QRemoteObjectRegistryHost *registryNode_ = nullptr;
#endif
    QRemoteObjectHost *srcNode_ = nullptr;
};
#endif // ECRANSERVEUR_H
