#ifndef SLIDER_H
#define SLIDER_H

#include <QObject>
#include "rep_Slider_source.h"

class Slider : public SliderSource
{
    Q_OBJECT

public:
    Slider(QObject* parent = nullptr);


    // SliderSource interface
public:
    int valeur() const { return valeur_; }
    void setValeur(int valeur) { valeur_ = valeur; emit valeurChanged(valeur_); }

public slots:
    void server_slot(int valeurRecue);

private:
    int valeur_ = 0;
};


#endif // SLIDER_H
