#include "MaVue.h"
#include <QDebug>

MaVue::MaVue(QObject* parent)
    : QObject(parent)
{    
}

void MaVue::miseAJour()
{
    int columns = model_->columnCount();
    int rows = model_->rowCount();

    qDebug() << "MaVue - récupération du nombre de lignes et de colonnes : " << columns << rows;

    qDebug() << "Récupération des données";
    if(rows > ligneCourante_) {
        //Affichage de la première ligne en passant par la run-loop
        //On affiche ligne par ligne, mais on devrait afficher cellule par cellule
        //pour bien "fluidifer" la run-loop. Vue la quantité de données à traiter
        //ce serait "overkill"...
        QTimer::singleShot(1, this, &MaVue::afficheLigneSuivante);
    }
}

void MaVue::afficheLigneSuivante()
{
    for(int col = 0; col < model_->columnCount() ; col++) {
        qDebug() << "MaVue -" << model_->data(model_->index(ligneCourante_, col, QModelIndex()));
    }

    if(++ligneCourante_ < model_->rowCount()) {
        QTimer::singleShot(1, this, &MaVue::afficheLigneSuivante);
    }
}
