#ifndef MAVUE_H
#define MAVUE_H

#include <QObject>
#include <QAbstractItemModel>
#include <QTimer>

class MaVue : public QObject
{
    Q_OBJECT

public:
    MaVue(QObject* parent = nullptr);
    void setModel(QAbstractItemModel* model) {
        model_ = model;

        QTimer::singleShot(1, this, &MaVue::miseAJour); //Je force le passage par la run-loop
    }

private slots:
    void miseAJour();
    void afficheLigneSuivante();

private:
    QAbstractItemModel *model_ = nullptr;
    int ligneCourante_ = 0;
};

#endif // MAVUE_H
