#include "MainWindow.h"
#include "ui_MainWindow.h"
#include "TableModel.h"
#include "MaVue.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    TableModel *tableModel = new TableModel(this);

    ui->tableView->setModel(tableModel);
    MaVue *maVue = new MaVue(this);
    maVue->setModel(tableModel);
}

MainWindow::~MainWindow()
{
    delete ui;
}

